Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233799 - fwbackups: errantly follows symbolic links until all system resources are consumed
Summary: fwbackups: errantly follows symbolic links until all system resources are con...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fwbackups
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Stewart Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-25 05:22 UTC by Bernard Johnson
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-28 21:09:48 UTC


Attachments (Terms of Use)

Description Bernard Johnson 2007-03-25 05:22:23 UTC
Description of problem:
It seems that fwbackups errantly follows symbolic links recursively until all
system resources are consumed.

I started a fwbackups job and let it run.  It ran for about 14 hours and when I
returned home, it had consumed enormous space on the destination, all available
memory (2G), and was still churning away.  I did a strace on the process and
found this:

open("/net/terastation/mnt/array1/backup/server/Backups/Backup-2007-03-24/home/bjohnson/.wine/dosdevices/c:/windows/profiles/bjohnson/My
Music/.wine/dosdevices/c:/windows/profiles/bjohnson/My
Music/.wine/dosdevices/c:/windows/profiles/bjohnson/My
Music/svn/LinuxTools/linux/kernel2-6-15/include/config/arch/.svn/text-base/shark.h.svn-base",
O_WRONLY|O_CREAT|O_TRUNC|O_LARGEFILE, 0666

It seems that there is a symbolic link in
~/.wine/dosdevices/c:/windows/profiles/bjohnson/My Music that points back to ~.
 fwbackups seems to be recursively following this.  This is one of many links.

Version-Release number of selected component (if applicable):
fwbackups-1.42.3a-1.fc6

Comment 1 Stewart Adam 2007-03-25 19:54:06 UTC
The new engines in 1.43.0 fix this, as you suggested in 233772 perhaps you test
and can confirm this?


Note You need to log in before you can comment on or make changes to this bug.